Index: include/Makefile.in
--- include/Makefile.in.orig	2005-11-15 01:14:00 +0100
+++ include/Makefile.in	2005-11-21 21:19:28 +0100
@@ -349,14 +349,14 @@
 			errmsg.h my_global.h my_net.h my_alloc.h \
 			my_getopt.h sslopt-longopts.h my_dir.h typelib.h \
 			sslopt-vars.h sslopt-case.h sql_common.h keycache.h \
-			mysql_time.h $(BUILT_SOURCES)
+  			mysql_time.h my_aes.h rijndael.h $(BUILT_SOURCES)
 
 noinst_HEADERS = config-win.h config-os2.h config-netware.h \
 			heap.h my_bitmap.h\
 			myisam.h myisampack.h myisammrg.h ft_global.h\
 			mysys_err.h my_base.h help_start.h help_end.h \
-			my_nosys.h my_alarm.h queues.h rijndael.h sha1.h \
-			my_aes.h my_tree.h hash.h thr_alarm.h \
+ 			my_nosys.h my_alarm.h queues.h \
+ 			my_tree.h hash.h thr_alarm.h \
 			thr_lock.h t_ctype.h violite.h md5.h base64.h \
 			mysql_version.h.in my_handler.h my_time.h decimal.h
 
Index: include/my_global.h
--- include/my_global.h.orig	2005-11-15 01:12:30 +0100
+++ include/my_global.h	2005-11-21 21:18:29 +0100
@@ -721,9 +721,8 @@
 #define FLT_MAX		((float)3.40282346638528860e+38)
 #endif
 
-#if !defined(HAVE_ISINF) && !defined(isinf)
+#undef isinf
 #define isinf(X)    0
-#endif
 
 /* Define missing math constants. */
 #ifndef M_PI
Index: mysys/default.c
--- mysys/default.c.orig	2005-11-15 01:12:32 +0100
+++ mysys/default.c	2005-11-21 21:18:29 +0100
@@ -1001,7 +1001,7 @@
   if ((env= getenv("ETC")))
     *ptr++= env;
 #endif
-  *ptr++= "/etc/";
+  *ptr++= "@l_prefix@/etc/mysql/";
 #endif
   if ((env= getenv(STRINGIFY_ARG(DEFAULT_HOME_ENV))))
     *ptr++= env;
Index: scripts/mysql_config.sh
--- scripts/mysql_config.sh.orig	2005-11-15 01:12:33 +0100
+++ scripts/mysql_config.sh	2005-11-21 21:18:29 +0100
@@ -93,11 +93,11 @@
 
 # Create options
 
-libs="$ldflags -L$pkglibdir -lmysqlclient @ZLIB_DEPS@ @NON_THREADED_LIBS@"
+libs="$ldflags -L$pkglibdir -lmysqlclient -lmysys @ZLIB_DEPS@ @NON_THREADED_LIBS@"
 libs="$libs @openssl_libs@ @STATIC_NSS_FLAGS@"
 libs=`echo "$libs" | sed -e 's;  \+; ;g' | sed -e 's;^ *;;' | sed -e 's; *\$;;'`
 
-libs_r="$ldflags -L$pkglibdir -lmysqlclient_r @ZLIB_DEPS@ @LIBS@ @openssl_libs@"
+libs_r="$ldflags -L$pkglibdir -lmysqlclient_r -lmysys @ZLIB_DEPS@ @LIBS@ @openssl_libs@"
 libs_r=`echo "$libs_r" | sed -e 's;  \+; ;g' | sed -e 's;^ *;;' | sed -e 's; *\$;;'`
 cflags="-I$pkgincludedir @CFLAGS@ " #note: end space!
 include="-I$pkgincludedir"
Index: scripts/mysql_create_system_tables.sh
--- scripts/mysql_create_system_tables.sh.orig	2005-11-15 01:12:45 +0100
+++ scripts/mysql_create_system_tables.sh	2005-11-21 21:18:29 +0100
@@ -77,9 +77,6 @@
   c_d="$c_d ) engine=MyISAM"
   c_d="$c_d CHARACTER SET utf8 COLLATE utf8_bin"
   c_d="$c_d comment='Database privileges';"
-  
-  i_d="INSERT INTO db VALUES ('%','test','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y','Y','Y','Y','N','N');
-  INSERT INTO db VALUES ('%','test\_%','','Y','Y','Y','Y','Y','Y','N','Y','Y','Y','Y','Y','Y','Y','Y','N','N');"
 fi
 
 if test ! -f $mdata/host.frm
@@ -167,17 +164,13 @@
   then
     i_u="INSERT INTO user VALUES ('localhost','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
     INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-    REPLACE INTO user VALUES ('127.0.0.1','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-    INSERT INTO user (host,user) values ('localhost','');
-    INSERT INTO user (host,user) values ('$hostname','');"
+    REPLACE INTO user VALUES ('127.0.0.1','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
   else
     i_u="INSERT INTO user VALUES ('localhost','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
     if test "$windows" = "0"
     then
       i_u="$i_u
-           INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);
-           INSERT INTO user (host,user) values ('$hostname','');
-           INSERT INTO user (host,user) values ('localhost','');"
+           INSERT INTO user VALUES ('$hostname','root','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0,0);"
     else
       i_u="$i_u
 	   INSERT INTO user VALUES ('localhost','','','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','Y','','','','',0,0,0);"
